Bug 220962 - laptop hibernates when secondary battery runs out; primary battery still full
laptop hibernates when secondary battery runs out; primary battery still full
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-power-manager (Show other bugs)
12
All Linux
medium Severity medium
: ---
: ---
Assigned To: Richard Hughes
bzcl34nup
: Reopened, Triaged
: 221350 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-29 12:23 EST by Ben Liblit
Modified: 2014-06-26 21:32 EDT (History)
14 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:17:31 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ben Liblit 2006-12-29 12:23:24 EST
Description of problem:

My ThinkPad X40 laptop has two batteries.  The secondary (external) battery
drains first, as expected.  When the secondary battery is almost completely
depleted, GNOME Power Manager warns that power is critically low and hibernates
the laptop.  Yet there is still an entire additional battery with a good two
hours' worth of power waiting to be used.

After hibernation completes, I resume the laptop.  It continues to run normally
from this point forward, now drawing power from the primary (internal) battery.

GNOME Power Manager does know that the battery is present.  For example, at the
very same moment that the "Power Critical" notification is posted, the
notification bubble and the notification area icon both show a picture of a
green, half-full battery.  The "Device Information" tab of the "Power
Information" dialog shows both batteries.


Version-Release number of selected component (if applicable):

gnome-power-manager-2.16.0-4.fc6
hal-0.5.8.1-5.fc6


How reproducible:

100% reproducible.


Steps to Reproduce:
1. Obtain a two-battery laptop, with both batteries fully charged.
2. Set power management preferences to perform some easily recognized action
(e.g. hibernate) when battery power is critical.
2. Work without AC power until one battery is expended.


Actual results:

Selected power-critical action (e.g. hibernation) is taken, even though the
other battery is still fully charged and ready to use.


Expected results:

Power-critical action (e.g. hibernation) should only be used when *all*
batteries are nearly expended, not when any one battery is out.
Comment 1 Richard Hughes 2006-12-29 18:07:39 EST
Already fixed, sorry. See http://bugzilla.gnome.org/show_bug.cgi?id=361583 for
the details.
Comment 2 Richard Hughes 2007-01-03 19:21:15 EST
*** Bug 221350 has been marked as a duplicate of this bug. ***
Comment 3 Christian Iseli 2007-01-22 05:50:55 EST
This report targets the FC3 or FC4 products, which have now been EOL'd.

Could you please check that it still applies to a current Fedora release, and
either update the target product or close it ?

Thanks.
Comment 4 Brian G. Anderson 2007-01-22 12:47:17 EST
I still get this in FC6.  It is quite annoying to have the laptop hibernate when
there is still 2.5 hours left on the second battery.  However,  I cannot update
the release field because I'm not the bug owner.  I entered bug  221350 which is
listed as FC6 but someone marked it as duplicate of this bug.
Comment 5 Bug Zapper 2008-04-04 01:23:48 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Ben Liblit 2008-04-18 23:45:45 EDT
Unfortunately I cannot check whether this bug is fixed in Fedora 7+, because I
no longer have a two-battery laptop.
Comment 7 John Poelstra 2008-05-03 00:00:29 EDT
Thanks for your update
Comment 8 Jason D. Clinton 2009-04-12 21:18:24 EDT
This bug is still present in Fedora 11 (Rawhide). Please reopen.

Unfortunately, there appears to be nothing logged in the usual locations and I'm not sure what handles power events like this in Fedora. I just installed Fedora coming from Debian Unstable on the same kernel version (2.6.29) with roughly the same version of acpid and it did not have this issue so I imagine that this is some Fedora-specific power event handler.

I checked /etc/acpi/* and it doesn't appear that any battery-specific events or event handlers. I don't know how /usr/libexec/hald-addon-acpi fits in to all of this.

If this is g-p-m, it is odd that Debian finds a way to do this correctly in spite of also using g-p-m for power management. This is the only significant patch that I see that Debian has applied versus upstream g-p-m: http://patch-tracking.debian.net/patch/series/view/gnome-power-manager/2.24.4-2/03-system-policy.patch
Comment 9 Andrew Elwell 2009-06-12 04:46:52 EDT
Also affected with a fresh install of Fedora11 on a HP Compaq 8510p with 2 batteries - Laptop suspends when secondary battery goes flat, even if internal at 100%

aelwell@pcitgdaelwell:~$ ls -l /proc/acpi/battery/C1F?
/proc/acpi/battery/C1F3:
total 0
-rw-r--r--. 1 root root 0 2009-06-12 10:45 alarm
-r--r--r--. 1 root root 0 2009-06-12 10:45 info
-r--r--r--. 1 root root 0 2009-06-12 10:45 state

/proc/acpi/battery/C1F4:
total 0
-rw-r--r--. 1 root root 0 2009-06-12 10:45 alarm
-r--r--r--. 1 root root 0 2009-06-12 10:45 info
-r--r--r--. 1 root root 0 2009-06-12 10:45 state
aelwell@pcitgdaelwell:~$ uname -a
Linux pcitgdaelwell 2.6.29.4-167.fc11.i586 #1 SMP Wed May 27 17:14:37 EDT 2009 i686 i686 i386 GNU/Linux
aelwell@pcitgdaelwell:~$ cat /etc/redhat-release 
Fedora release 11 (Leonidas)
Comment 10 sproulster 2009-06-26 13:49:04 EDT
I get this same problem on my HP Compaq 6710b laptop, although there seem to be some differences.
My internal battery drains first, then it goes to standby mode and switches batteries. I have to manually resume in order to continue on the external battery.

I get this on the X_64 flavor of Fedora 9, 10 and 11. I think that I might have seen it on Fedora 8 and on one or two of the 32 bit (x86) versions of the same releases.

It seems that the power managment application is letting the primary battery get too low before trying to switch over to the secondary battery.

The primary battery always gets all the way to 0.0%

I suspect that is has to do with the battery state checking routines looking at the total battery strength instead of the current battery strength when trying to determine if its time to switch batteries.

If you switch the strategy for battery management you may actually get better performance while avoiding this issue. I suggest identifying an arbitrary value such as 10% as a trigger point for switching batteries. In other words, if battery A is currently active and the charge level falls below the charge level of battery B by 10% of the maximum charge, then make battery B the active battery. 

Once either battery gets to 10% strength (or perhaps even 20%), you would have to switch to smaller and smaller arbitrary values until you approach a number slightly smaller than 1/2 of the critical battery strength level in the system settings. This would leave each battery enough juice to suspend or hibernate the system.
Comment 11 Richard Hughes 2009-08-20 08:17:20 EDT
This is fixed in rawhide. See http://blogs.gnome.org/hughsie/2009/06/16/gnome-power-manager-and-multiple-batteries/ for more details.
Comment 12 Brian Stein 2009-11-14 21:20:46 EST
Broken for me in f12 on a Lenovo X301.  Time to reopen?
Comment 13 Todd Gee 2010-02-28 23:06:59 EST
Broken for me on fully patched F11 64bit (on a Dell D630 w/ two batteries)

Is there a package and version associated with the rawhide version that we can check for?

thanks!
Comment 14 Jason Merrill 2010-03-09 23:37:03 EST
I just had this happen with gnome-power-manager-2.26.4-3.fc11.i586.
Comment 15 Bug Zapper 2010-11-04 08:13:44 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 16 Bug Zapper 2010-12-05 02:17:31 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 17 jarl.andre 2012-07-12 16:39:06 EDT
This is still a bug on Fedora 17. You really need to fix this, but, this is a problem that is identical to how it is in Ubuntu. So i bet its generic problem. You need to reopen this bug and you need to find a solution for two battery laptops. Why can't you make an action "Do nothing" when battery is critcally low? In ubuntu the default is do nothing or blank, so I figured you might do something similar. Normally I always plug it in before it totally depletes its battery and i do not work on a laptop that is dying.

My machine is a thinkpad lenovo t420s. It reports two batteries in ubuntu 12.04 and Fedora 17, and shuts off or hibernates in both. This to demonstrate the generic fault.
Comment 18 Itamar Heim 2014-02-04 09:14:28 EST
still happens on f18 as well...
Comment 19 Itamar Heim 2014-04-25 00:25:05 EDT
with Lenovo T440s coming with two batteries by default, this is going to become more of an issue.
Comment 20 zingale 2014-06-26 21:32:56 EDT
I have the T440s -- this is still a problem with Fedora 20.

Note You need to log in before you can comment on or make changes to this bug.